Subject: Re: bug#47335: Hide GHC not used for building Was: xmonad fails to recompile on guix system

From: raingloom <[email-masked]>
Date: Sun, 1 Aug 2021 19:51:35 +0200

On Mon, 26 Jul 2021 08:47:53 +0200
Lars-Dominik Braun <[email-masked]> wrote:

> Hi,
> 
> I’m seeing the same issue, but it works when explicitly installing
> [email-masked].  Looking at haskell-build-system all Haskell libraries are
> currently built with version 8.6, whereas the newest GHC version
> available (and thus installed by `guix install`) is 8.8.
> 
> I feel that either xmonad should depend on the correct GHC or all
> GHC versions not used to build libraries should be hidden to avoid
> this situation.
> 
> Lars
> 
> 
> 
> 

I'd be very much in favor of the latter, or maybe rename it to ghc-next.
I have some profiles ghc pinned to a version and upgrading those is
always a mess because Guix tries to build the old version from source
instead of using the next version.